Subject: Bug in 2.6.10

From: Christian Schmid <[email-masked]>
Date: Fri, 28 Jan 2005 20:27:53 +0100

Hello.

In 2.6.10 there has been a "bug" introduced. You may also call it a feature, but its a crappy 
feature for big servers. It seems the kernel is dynamically adjusting the buffer-space available for 
sockets. Even if send-buffer has been set to 1024 KB, the kernel blocks at less if there are enough 
sockets in use. If you have 10 sockets with 1024 KB each, they do not block at all, using full 1024 
KB. If you have 4000 sockets, they only use 200 KB. So it seems its blocking at 800 MB. This is 
good, if you have a 1/3 system, because else the kernel would run out of low mem. But I have a 2/2 
system and I need them for buffers. So what can I do? Where can I adjust the "pool"?

Best regards,
Christian Schmid - RapidTec